Delete an L2 Segment

DELETE/v1/l2_segments/{l2_segment_id}

In case you need to remove an L2 Segment, send a DELETE request to /v1/l2_segments/{l2_segment_id}, the path parameter indicates a segment for this operation.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

l2_segment_id*string

A unique identifier of an L2 Segment.

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/l2_segments/APdR6qdG"
{  "id": "APdR6qdG",  "name": "name946",  "type": "public",  "status": "removing",  "location_group_id": 86,  "location_group_code": "location2077",  "labels": {    "environment": "production",    "service": "my-web-app",    "example.com/project": "my-project",    "example.com/owner": "my-team"  },  "updated_at": "2026-05-28T07:01:24Z",  "created_at": "2026-05-28T07:01:24Z"}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Not ready",  "code": "NOT_READY"}